'use strict'

const path = require('path')
const merge = require('webpack-merge')

const CaseSensitivePathsPlugin = require('case-sensitive-paths-webpack-plugin')
const loaderJavascript = require('./loader.javascript')

exports.setup = function(PATHS) {
  const common = {
    entry: [ path.resolve(PATHS.src, 'index.js') ],
    output: {
      path: PATHS.dist,
      filename: '[name].js',
      publicPath: '/',
      libraryTarget: 'umd'
    },
    resolve: {
      modules: [
        PATHS.src,
        'node_modules'
      ],
      alias: {
        src: PATHS.src
      },
      descriptionFiles: ['package.json'],
      extensions: ['.js']
    },
    plugins: [
      new CaseSensitivePathsPlugin()
    ]
  }

  return merge(
    common,
    loaderJavascript.setup(PATHS)
  )
}
