'use strict'

exports.setup = function(PATHS) {
  return {
    module: {
      rules: [
        {
          test: /\.js?$/,
          include: [PATHS.src],
          exclude: /node_modules/,
          loader: 'babel-loader',
          options: {
            cacheDirectory: true,
            presets: [
              ['@babel/preset-env', {
                debug: true,
                useBuiltIns: 'usage',// 'usage' | 'entry' | false, defaults to false.
                corejs: '3.0.0',
                targets: {
                  esmodules: true
                }
              }],
              '@babel/react'
            ],
            plugins: [
              ['@babel/plugin-proposal-class-properties', { loose: true }],
              '@babel/plugin-transform-runtime',
              '@babel/plugin-transform-classes',
              '@babel/plugin-transform-modules-commonjs',
              '@babel/plugin-transform-object-assign',
              ['@babel/plugin-proposal-object-rest-spread', { loose: true }],
              'dynamic-import-node'
            ]
          }
        }
      ]
    }
  }
}
