module.exports = {
  rootDir: './',
  collectCoverageFrom: [
    '<rootDir>/src/**/*.js'
  ],
  coveragePathIgnorePatterns: [
  ],
  setupFiles: [
    '<rootDir>/config/test/enzyme.js',
    '<rootDir>/config/test/chai.js'
  ],
  testMatch: [
    '<rootDir>/src/**/?(*.)(spec).js?(x)'
  ],
  testURL: 'http://localhost',
  transform: {
    '^.+\\.js?$': 'babel-jest',
    '.+\\.(css|styl|less|sass|scss|jpg|jpeg|png|gif|eot|otf|webp|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$': 'jest-transform-stub'
  },
  transformIgnorePatterns: [
    '[/\\\\]node_modules[/\\\\].+\\.(js|jsx)$'
  ],
  moduleFileExtensions: [
    'js',
    'json',
    'jsx',
    'node'
  ],
  moduleDirectories: [
    'node_modules',
    '<rootDir>/src',
    'src'
  ],
  modulePathIgnorePatterns: [
    'node_modules'
  ],
  moduleNameMapper: {
    '.+\\.(svg)$': '<rootDir>/config/test/enzyme.js',
    'src/(.*)': '<rootDir>/src/$1'
  },
  globals: {
  }
}
